Balance
Get Balance Details V2
There are 5 balance types:
available_balance: The balance available for all transactions.incoming_balance: The balance shows successful payments but the 3rd party device has not yet paid for it (payment card).outgoing_balance: The balance being transferred is waiting to be taken from the available balance to process actions (refund, dispute, payout).rolling_reserve_balance: The floating amount a merchant keeps in their balance. Rolling reserve balance is not mandatory. The merchant can request to reserve balance by contacting tech support.withdrawable_balance: The amount you can withdraw excludes rolling reserves.
GET
/
v2
/
balances
/
detail
Get Balance Details V2
curl --request GET \
--url https://api.cleverhub.co/api/v2/balances/detail \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v2/balances/detail"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v2/balances/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"available_balance": 1000,
"incoming_balance": 1000,
"outgoing_balance": 1000,
"rolling_reserve_balance": 1000,
"withdrawable_balance": 1000
}{
"errors": {
"code": "REQUIRE_LOGIN",
"message": "Not Authorised"
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Query Parameters
The currency of the balance. If not provided, the default currency will be 'AUD'
Available options:
AUD, PHP, USD, KRW, MYR, IDR, VND, JPY, USDC, CAD, NGN, ZAR, KES, GHS, XAF, XOF, BRL, THB Response
OK
The balance available for all transactions.
Example:
1000
The balance shows successful payments but the 3rd party device has not yet paid for it.
Example:
1000
The balance being transferred is waiting to be taken from the available balance to process actions.
Example:
1000
The floating amount a merchant keeps in their balance. Rolling reserve balance is not mandatory. The merchant can request to reserve balance by contacting tech support.
Example:
1000
The amount you can withdraw excludes rolling reserves.
Example:
1000
Get Balance Details V2
